//-----------------------------------------------------------------------------
//
// Splitter header file by Boon, created 25-11-98
//
// DESCRIPTION:
// Splitter
//

#ifndef __SPLITTER_H__
#define __SPLITTER_H__

#include "g_local.h"
#include "actor.h"

class Splitter : public Actor
{
public:
	CLASS_PROTOTYPE( Splitter );

	Splitter();
	virtual void        KilledEvent( Event *ev );
	virtual void        SpawnBugEvent( Event *ev );
	virtual void      Archive( Archiver &arc );
	virtual void      Unarchive( Archiver &arc );
};



inline void Splitter::Archive( Archiver &arc )
{
	Actor::Archive( arc );

	// FIXME add saving of state so splitters who are dying stay dying through save games
//   arc.WriteFloat( splitterstate_or_something );
}

inline void Splitter::Unarchive( Archiver &arc )
{
	Actor::Unarchive( arc );

	// FIXME add loading of state so splitters who are dying stay dying through save games
//   splitterstate_or_something = arc.ReadFloat();
}

//### for bug
class Jump2 : public Jump
{
public:
	CLASS_PROTOTYPE( Jump2 );
	void                        Begin( Actor &self );
};
//###

#endif /* splitter.h */
